Commit a0c74ab4 authored by Henri Fallon's avatar Henri Fallon
Browse files

Added gnome.h check and cleaned the error messages in the configure

script
parent 479c96ee
...@@ -4,6 +4,7 @@ ...@@ -4,6 +4,7 @@
HEAD HEAD
* Added gnome.h check and cleaned the error messages in the configure script
* Tiny small optim in LPCM decoder. * Tiny small optim in LPCM decoder.
0.2.83 0.2.83
......
This diff is collapsed.
...@@ -691,22 +691,22 @@ then ...@@ -691,22 +691,22 @@ then
CPPFLAGS="$CPPFLAGS $CFLAGS_SDL" CPPFLAGS="$CPPFLAGS $CFLAGS_SDL"
AC_CHECK_HEADERS(${SDL_HEADER}, AC_DEFINE_UNQUOTED(SDL_INCLUDE_FILE, AC_CHECK_HEADERS(${SDL_HEADER}, AC_DEFINE_UNQUOTED(SDL_INCLUDE_FILE,
<${SDL_HEADER}>, Indicate whether we should use SDL/SDL.h or SDL11/SDL.h), <${SDL_HEADER}>, Indicate whether we should use SDL/SDL.h or SDL11/SDL.h),
[ echo "The development package for SDL is not installed. Please install it" [ AC_MSG_ERROR([The development package for SDL is not installed.
echo "and try again. Alternatively you can also configure with --disable-sdl." Please install it and try again. Alternatively you can also configure with
exit 1 ]) --disable-sdl.])
])
CPPFLAGS=$save_CPPFLAGS CPPFLAGS=$save_CPPFLAGS
if expr 1.1.5 \> `$SDL_CONFIG --version` >/dev/null if expr 1.1.5 \> `$SDL_CONFIG --version` >/dev/null
then then
echo "You need SDL version 1.1.5 or later. Install it and try again." AC_MSG_ERROR([The development package for SDL is not installed.
echo "Alternatively, you can also configure with --disable-sdl." Please install it and try again. Alternatively you can also configure with
exit 1 --disable-sdl.])
fi fi
elif test "x$enable_sdl" = "xyes" elif test "x$enable_sdl" = "xyes"
then then
echo "I couldn't find the SDL package. You can download libSDL from" AC_MSG_ERROR([I couldn't find the SDL package. You can download libSDL
echo "http://www.libsdl.org/, or configure with --disable-sdl. Have a" from http://www.libsdl.org/, or configure with --disable-sdl. Have a nice day.
echo "nice day." ])
exit 1
fi fi
fi fi
...@@ -723,7 +723,9 @@ AC_ARG_WITH(directx, ...@@ -723,7 +723,9 @@ AC_ARG_WITH(directx,
LIB_DIRECTX="${LIB_DIRECTX} -L"$withval"/lib -lgdi32 -ldxguid" LIB_DIRECTX="${LIB_DIRECTX} -L"$withval"/lib -lgdi32 -ldxguid"
INCLUDE="${INCLUDE} -I"$withval"/include" INCLUDE="${INCLUDE} -I"$withval"/include"
else else
AC_CHECK_HEADERS(directx.h, , [echo "Cannot find DirectX headers !"; exit]) AC_CHECK_HEADERS(directx.h, ,
AC_MSG_ERROR([Cannot find DirectX headers !])
)
LIB_DIRECTX="${LIB_DIRECTX} -L/usr/lib -lgdi32 -ldxguid" LIB_DIRECTX="${LIB_DIRECTX} -L/usr/lib -lgdi32 -ldxguid"
fi fi
fi ]) fi ])
...@@ -800,10 +802,26 @@ dnl ...@@ -800,10 +802,26 @@ dnl
AC_ARG_ENABLE(gnome, AC_ARG_ENABLE(gnome,
[ --enable-gnome Gnome interface support (default disabled)], [ --enable-gnome Gnome interface support (default disabled)],
[if test x$enable_gnome = xyes; then [if test x$enable_gnome = xyes; then
PLUGINS="${PLUGINS} gnome" # look for gnome-config
ALIASES="${ALIASES} gnome-vlc" AC_PATH_PROG(GNOME_CONFIG, gnome-config, no)
LIB_GNOME="`gnome-config --libs gnomeui | sed 's,-rdynamic,,'`" if test -x ${GNOME_CONFIG}
fi]) then
CFLAGS_GNOME="`${GNOME_CONFIG} --cflags gnomeui`"
LIB_GNOME="`${GNOME_CONFIG} --libs gnomeui | sed 's,-rdynamic,,'`"
fi
# now look for the gnome.h header
saved_CPPFLAGS=$CPPFLAGS
CPPFLAGS="$CPPFLAGS $CFLAGS_GNOME"
AC_CHECK_HEADERS(gnome.h, [
PLUGINS="${PLUGINS} gnome"
ALIASES="${ALIASES} gnome-vlc"
],[
AC_MSG_ERROR([Can't find gnome headers. Please install the gnome
developement librairie or remove the --enable-gnome option])
])
CPPFLAGS=$saved_CPPFLAGS
fi])
dnl dnl
dnl Gtk+ module dnl Gtk+ module
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment